
Redmine - Feature #10614

Email Notifications for Custom field with User type

2012-04-06 23:22 - vi palla

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

We want to add new custom field for Issue with User type that lists all the users in the project.

for eg., Tester is the field added to the project it has the list of users.

Once the development is complete we want to pass on the issue to 'Tester'. On selecting the user in "Tester" field,

Will 'Tester' receive email notifications when a user in 'Tester' field is choosen?

Developer will be tracked by using OOTB 'Assignee' field. We dont want to change as we want to track who owns the issue.

Related issues:

Has duplicate Redmine - Feature #21491: Email configure to custom field Closed

Has duplicate Redmine - Feature #23229: Email notification based on custom fi... Closed

Has duplicate Redmine - Feature #16527: Custom field user email notification Closed

History

#1 - 2012-04-07 10:07 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2012-04-17 13:44 - Andrew Orlov

+1

I confirm that such feature would be very useful! We use some custom fields of User type and it is a great problem and headache to add all of them to

watchers on per-issue basis in order to give them issue feedback via email.

#3 - 2012-09-06 09:13 - Danil Tashkinov

You can use this plugin: http://www.redmine.org/plugins/notify_custom_users

#4 - 2016-07-03 18:31 - Toshi MARUYAMA

- Priority changed from Urgent to Normal

#5 - 2016-07-03 18:37 - Toshi MARUYAMA

- Related to Feature #23229: Email notification based on custom field value added

#6 - 2016-07-03 18:38 - Toshi MARUYAMA

- Has duplicate Feature #21491: Email configure to custom field added

#7 - 2016-10-10 16:22 - Laurent Girard

+1

#8 - 2016-10-31 17:46 - Toshi MARUYAMA

- Related to deleted (Feature #23229: Email notification based on custom field value)

#9 - 2016-10-31 17:46 - Toshi MARUYAMA

- Has duplicate Feature #23229: Email notification based on custom field value added

#10 - 2016-10-31 17:48 - Toshi MARUYAMA

- Has duplicate Feature #16527: Custom field user email notification added
#11 - 2018-09-28 09:39 - Anonymous

is this plugin working with Redmine 3.4?

#12 - 2019-02-09 08:16 - Go MAEDA

- Category changed from Email receiving to Email notifications

#13 - 2024-04-03 04:11 - GC Q

I was using this very useful plugin http://www.redmine.org/plugins/notify_custom_users to send email notifications to custom fields that had the "User"

format, in Redmine 4.1.4.

When I upgraded to Redmine 5.1.1, the plugin stops working.

Does anyone know how to patch to make it work?
